uniform sampler2D texture;


void main()
{
    vec4 fragColor = texture2D( texture, gl_TexCoord[1].st );

/*
    // threshold
	float maxColor = max( max( fragColor.r, fragColor.g ), fragColor.b );
	
	if ( maxColor > 0.5 ) { // was: 0.8
		gl_FragColor = fragColor;
	} else {
		gl_FragColor = vec4( 0.0, 0.0, 0.0, 0.0 );
	}
*/

	// luminance
	float luminance = 0.299 * fragColor.r + 0.587 * fragColor.g + 0.114 * fragColor.b;
	//float luminance = 0.2126 * fragColor.r + 0.7152 * fragColor.g + 0.0722 * fragColor.b;

	if ( luminance > 0.7 ) { // was: 0.8
		gl_FragColor = fragColor;
	} else {
		gl_FragColor = vec4( 0.0, 0.0, 0.0, 0.0 );
	}
}
